import 'package:modular_system_core/mscore.dart';

extension ExceptionConvert on Exception {
  AppException toAppException([StackTrace? stackTrace]) {
    return AppException(toString(), ExceptionCode.internal, stackTrace);
  }
}

extension ErrorConvert on Error {
  AppException toAppException([StackTrace? stackTrace]) {
    return AppException(
      "Um erro de codificação foi detectado, a aplicação se autodestruirá em alguns instantes... ${toString()}",
      ExceptionCode.internal,
      stackTrace,
    );
  }
}
